<?php
  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  
  $participation_participations = json_encode($participations) ;

?>
<link href="<?php echo $request->getBaseUrl(); ?>/css/fullcalendar/fullcalendar.css" rel="stylesheet" />
<link href="<?php echo $request->getBaseUrl(); ?>/css/fullcalendar/fullcalendar.print.css" rel="stylesheet" media="print" />
<script src="<?php echo $request->getBaseUrl(); ?>/js/moment-with-locales.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/fullcalendar/fullcalendar.min.js"></script>
<script>
  
  $(document).ready(function() {

		/* initialisation events externe (ajout))
		-----------------------------------------------------------------*/
		$('#external-events .fc-event').each(function() {

			// store data so the calendar knows to render an event upon drop
			$(this).data('event', {
				title: $.trim($(this).text()), // use the element's text as the event title
				stick: true // maintain when user navigates (see docs on the renderEvent method)
			});

			// make the event draggable using jQuery UI
			$(this).draggable({
				zIndex: 999,
				revert: true,      // will cause the event to go back to its
				revertDuration: 0  //  original position after the drag
			});

		});

		/* Mise &agrave; jour des events
		-----------------------------------------------------------------*/
    function updateEvent(event,dayDelta,minuteDelta,allDay)
    {
       $.ajax({
        type:"POST",
  			url: "<?php echo $this->getRequest('Dashboard_Participation','Update' ) ; ?>",
  			'data': {
          'id':event.id, 
          'dayDelta': dayDelta, 
          'minuteDelta': minuteDelta, 
          'allDay': allDay
        },
        success: function(data) {
          $("#modal_detail_info").html(data);
          if(data.error)
            alert(data.error);
         },
         error: function(data) {
          alert('Une erreur est survenue.'); 
         }
        });
    }


		/* initialisation du calendrier
		-----------------------------------------------------------------*/
    // initialise la langue.
    var currentLangCode = 'fr' ;
    
    var oa_date_debut = '<?php print $oa_date_debut ; ?>' ;
    
    var participation_events = <?php print $participation_participations ; ?> ;
    
  	$('#oa_calendar').fullCalendar({
			header: {
				left: 'today, prevYear, prev,next, nextYear',
				center: 'title',
				//right: 'agendaDay, agendaWeek, month'
        right: 'basicDay, basicWeek, month, year'
			},
      defaultView: 'month',
      defaultDate: oa_date_debut,
      lang: currentLangCode,
      weekNumbers: true,
			eventLimit: true, // allow "more" link when too many events
			events: '<?php echo $this->getRequest('Dashboard_Oa','ParticipationsAjax' ) ; ?>',
      // events: participation_events,
      eventRender: function (event, element) {
        element.attr('href', 'javascript:void(0);');
        element.click(function() {
            $('#startTime').html(moment(event.start).format('MMM Do h:mm A'));
            $('#endTime').html(moment(event.end).format('MMM Do h:mm A'));
            $('#eventInfo').html(event.description);
            $('#eventLink').attr('href', event.url);
            //$('#eventContent').dialog({ modal: true, title: event.title, width:350});
            $('#modal_detail_info').html($('#eventContent').val() );
            $('#modal_detail_info').modal('toggle');
            $('#modal_eventLink').modal('toggle');
            	
        });
      },
      editable: true,
      eventDrop: function(event,dayDelta,minuteDelta,allDay,revertFunc) {    
        if (!confirm("Valider la modification ?")) {
          revertFunc();
        } else {
          updateEvent(event,dayDelta,minuteDelta,allDay);
        }
      },
      eventResize: function(event,dayDelta,minuteDelta,revertFunc) {
        if (!confirm("Valider la modification ?")) {
          revertFunc();
        } else {
          updateEvent(event,dayDelta,minuteDelta,0);
        }
      },    
      droppable: true, // this allows things to be dropped onto the calendar
			drop: function( date, jsEvent, ui ) {
        $('.modal-title').text('Ajouter une participation ');
        $.ajax({
    			type:"POST",
    			url: "<?php echo $this->getRequest('Dashboard_Participation','Add' ) ; ?>",
    			data: jsEvent,
          // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/is_loading.gif" /></span>'),
    			success: function(returnData_Participation){
            $("#modal_detail_info").html(returnData_Participation);					
    			},
          error: function(xhr, status, error){
          }
    		});
        $('#myModal').modal('toggle');
      	alert("Nouvelle participation de " + jsEvent + " pour le " + date.format()) ;
        // retrieve the dropped element's stored Event Object
				var originalEventObject = $(this).data('eventObject');
				
				// we need to copy it, so that multiple events don't have a reference to the same object
				var copiedEventObject = $.extend({}, originalEventObject);
				
				// assign it the date that was reported
				copiedEventObject.start = date ;
				
				// render the event on the calendar
				// the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
				$('#calendar').fullCalendar('renderEvent', copiedEventObject, true);
				
				// is the "remove after drop" checkbox checked?
				if ($('#drop-remove').is(':checked')) {
					// if so, remove the element from the "Draggable Events" list
					$(this).remove();
				}
				
			}
				
		});


	});

</script>
<style>
	/*
  #external-events {
		float: left;
		width: 150px;
		padding: 0 10px;
		border: 1px solid #ccc;
		background: #eee;
		text-align: left;
	}

	#external-events h4 {
		font-size: 16px;
		margin-top: 0;
		padding-top: 1em;
	}
*/		
	#external-events .fc-event {
		margin: 5px 0;
		cursor: pointer;
	}
		
	#external-events p {
		margin: 1.5em 0;
		font-size: 11px;
		color: #666;
	}
		
	#external-events p input {
		margin: 0;
		vertical-align: middle;
	}
/*
	#calendar {
		float: right;
	}
*/
</style>
<div class="col-md-12">
  <div class="col-md-2">
    <div class="panel panel-primary">                        
      <div class="panel-heading"> Intervenants </div>
      <div class="panel-footer">
        <div class="row" id="external-events">
        <?php foreach($intervenants as $intervenant): ?>
  		  <div class="fc-event" id="<?php echo $intervenant->get('id', $filter_html); ?>">
        <?php 
          echo $intervenant->get('nom', $filter_html)." ".$intervenant->get('prenom', $filter_html) ; 
        ?>
        </div>      
        <?php endforeach; ?>
        </div>
      </div>
  		<!--
      <div class="panel-footer">
  			<input type="checkbox" id="drop-remove" />
  			<label for="drop-remove">remove after drop</label>
  		</div>
      -->
  	</div>
  </div>
  <div class="col-md-10">
    <div  id="oa_calendar"></div>
  </div>
  <!-- <div style="clear:both"></div> -->

</div>
<div id="modal_eventContent" style="display:none;">
  <div id="eventContent" title="Event Details" >
      Start: <span id="startTime"></span><br>
      End: <span id="endTime"></span><br><br>
      <p id="eventInfo"></p>
      <p><strong><a id="eventLink" href="" target="_blank">Read More</a></strong></p>
  </div>
</div>